// const fs = require('node:fs'); // commonjs
import fs from 'node:fs'; // esm - module Schreibweise

const getFileBy = (path, encoding = 'utf-8') => {
  return new Promise((resolve, reject) => {
    // async process
    fs.readFile(path, encoding, (error, data) => {
      if (error) {
        reject(error);
      }
      resolve(data);
    });
  });
};

Promise.all([
  getFileBy('data/file01.txt'),
  getFileBy('data/file02.txt'),
  getFileBy('data/file03.txt'),
  getFileBy('data/file04.txt'),
  getFileBy('data/file05.txt'),
  getFileBy('data/file06.txt'),
])
  .then((data) => {
    console.log(data);
  })
  .catch((err) => {
    console.log(err);
  });
